package de.intevation.flys.artifacts.states;

import java.util.List;

import org.apache.log4j.Logger;

import de.intevation.flys.artifacts.model.FacetTypes;

import de.intevation.artifactdatabase.state.Facet;
import de.intevation.artifactdatabase.state.DefaultOutput;

/**
 * Yet, a non-abstract DefaultState.
 */
public class StaticState
extends      DefaultState
implements   FacetTypes
{
    /** The logger that is used in this state. */
    private static final Logger logger = Logger.getLogger(StaticState.class);


    /**
     * Trivial constructor, sets id and description.
     * @param id String used for both id and description.
     */
    public StaticState(String id) {
        this(id, id);
    }


    public StaticState(String id, String description) {
        super();
        setID(id);
        setDescription(description);
    }

    public void addDefaultChartOutput(String nameDesc, List<Facet> facets) {
        DefaultOutput output = new DefaultOutput(nameDesc,
            nameDesc, "image/png", facets, "chart");
        getOutputs().add(output);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
